AntiFeatures:
    NonFreeNet:
        en-US: Depends on zone.vision API by DNSimple.
Categories:
  - Internet
License: GPL-3.0-only
AuthorName: Gianlu
AuthorEmail: altomanigianluca@gmail.com
AuthorWebSite: https://gianlu.xyz/
SourceCode: https://github.com/devgianlu/DNSHero
IssueTracker: https://github.com/devgianlu/DNSHero/issues
Translation: https://crowdin.com/project/dnshero
Changelog: https://github.com/devgianlu/DNSHero/blob/HEAD/CHANGELOG.md
Liberapay: devgianlu

AutoName: DNS Hero

RepoType: git
Repo: https://github.com/devgianlu/DNSHero

Builds:
  - versionName: 1.0.5-foss
    versionCode: 6
    commit: v1.0.5
    subdir: app
    gradle:
      - foss
    srclibs:
      - CommonUtils@a89ffaebd726b747d0cfcb4c67b66b5abfc5a9a2
    prebuild:
      - sed -i -e '/maven.fabric.io/d' ../build.gradle
      - sed -i -e 's#../CommonUtils#app/$$CommonUtils$$#' ../settings.gradle

  - versionName: 1.1.3
    versionCode: 10
    commit: v1.1.3
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' ../build.gradle ../CommonUtils/build.gradle

  - versionName: 1.2.0
    versionCode: 11
    commit: v1.2.0
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' ../build.gradle ../CommonUtils/build.gradle

  - versionName: 1.2.3
    versionCode: 13
    commit: v1.2.3
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' ../build.gradle ../CommonUtils/build.gradle

  - versionName: 1.2.5
    versionCode: 15
    commit: v1.2.5
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d' ../build.gradle ../CommonUtils/build.gradle

  - versionName: 1.3.1
    versionCode: 17
    commit: v1.3.1
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d; /io.fabric/d; /com.crashlytics/d' ../build.gradle
        ../CommonUtils/build.gradle build.gradle

  - versionName: 1.3.2
    versionCode: 18
    commit: v1.3.2
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d; /io.fabric/d; /com.crashlytics/d' ../build.gradle
        ../CommonUtils/build.gradle build.gradle

  - versionName: 1.3.3
    versionCode: 19
    commit: v1.3.3
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d; /io.fabric/d; /com.crashlytics/d' ../build.gradle
        ../CommonUtils/build.gradle build.gradle

  - versionName: 1.4.0
    versionCode: 20
    commit: v1.4.0
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d; /io.fabric/d; /com.crashlytics/d' ../build.gradle
        ../CommonUtils/build.gradle build.gradle

  - versionName: 1.4.1
    versionCode: 21
    commit: v1.4.1
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d; /io.fabric/d; /com.crashlytics/d' ../build.gradle
        ../CommonUtils/build.gradle build.gradle

  - versionName: 1.4.2
    versionCode: 22
    commit: v1.4.2
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d; /io.fabric/d; /com.crashlytics/d' ../build.gradle
        ../CommonUtils/build.gradle build.gradle

  - versionName: 1.4.3
    versionCode: 23
    commit: v1.4.3
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d; /io.fabric/d; /com.crashlytics/d' ../build.gradle
        ../CommonUtils/build.gradle build.gradle

  - versionName: 1.5.0
    versionCode: 24
    commit: v1.5.0
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d; /io.fabric/d; /com.crashlytics/d' ../build.gradle
        ../CommonUtils/build.gradle build.gradle

  - versionName: 1.5.1
    versionCode: 25
    commit: v1.5.1
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d; /io.fabric/d; /com.crashlytics/d' ../build.gradle
        ../CommonUtils/build.gradle build.gradle

  - versionName: 1.6.0
    versionCode: 26
    commit: v1.6.0
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d; /io.fabric/d; /com.crashlytics/d' ../build.gradle
        ../CommonUtils/build.gradle build.gradle

  - versionName: 1.6.2
    versionCode: 28
    commit: v1.6.2
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d; /io.fabric/d; /com.crashlytics/d' ../build.gradle
        ../CommonUtils/build.gradle build.gradle

  - versionName: 1.6.3
    versionCode: 29
    commit: v1.6.3
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild: sed -i -e '/maven.fabric.io/d; /io.fabric/d; /com.crashlytics/d' ../build.gradle
        ../CommonUtils/build.gradle build.gradle

  - versionName: 1.6.5
    versionCode: 31
    commit: v1.6.5
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild:
      - sed -i -e '/com.google.firebase/d' ../build.gradle ../CommonUtils/build.gradle
        build.gradle
      - sed -i -e '/maven.fabric.io/d; /io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 1.6.6
    versionCode: 32
    commit: v1.6.6
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild:
      - sed -i -e '/com.google.firebase/d' ../build.gradle ../CommonUtils/build.gradle
        build.gradle
      - sed -i -e '/maven.fabric.io/d; /io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 1.6.7
    versionCode: 33
    commit: v1.6.7
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild:
      - sed -i -e '/com.google.firebase/d' ../build.gradle ../CommonUtils/build.gradle
        build.gradle
      - sed -i -e '/maven.fabric.io/d; /io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 1.6.8
    versionCode: 34
    commit: v1.6.8
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild:
      - sed -i -e '/com.google.firebase/d' ../build.gradle ../CommonUtils/build.gradle
        build.gradle
      - sed -i -e '/maven.fabric.io/d; /io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 1.6.9
    versionCode: 35
    commit: v1.6.9
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild:
      - sed -i -e '/com.google.firebase/d' ../build.gradle ../CommonUtils/build.gradle
        build.gradle
      - sed -i -e '/maven.fabric.io/d; /io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 1.6.11
    versionCode: 37
    commit: a5f2d1c18ff8847dc0f864413905558d89c4774d
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - foss
    prebuild:
      - sed -i -e '/com.google.firebase/d' ../build.gradle ../CommonUtils/build.gradle
        build.gradle
      - sed -i -e '/maven.fabric.io/d; /io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 1.6.12
    versionCode: 38
    commit: a1c01fd7c6ef76448f92feb4295149f8833a054b
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - foss
    prebuild:
      - sed -i -e '/com.google.firebase/d' ../build.gradle ../CommonUtils/build.gradle
        build.gradle
      - sed -i -e '/maven.fabric.io/d; /io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 1.6.13
    versionCode: 39
    commit: 5d4bff4ba8267ba4e21b7bf6e9e99f0a48d88019
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - foss
    prebuild:
      - sed -i -e '/com.google.firebase/d' ../build.gradle ../CommonUtils/build.gradle
        build.gradle
      - sed -i -e '/maven.fabric.io/d; /io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

  - versionName: 1.6.14
    versionCode: 40
    commit: 40cbfd162d7461cb1f8f78a933e442d6919dd5db
    subdir: app
    submodules: true
    gradle:
      - foss
    prebuild:
      - sed -i -e '/com.google.firebase/d' ../build.gradle ../CommonUtils/build.gradle
        build.gradle
      - sed -i -e '/maven.fabric.io/d; /io.fabric/d' build.gradle ../build.gradle
        ../CommonUtils/build.gradle

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.6.14
CurrentVersionCode: 40
